Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.persistence.jdbc
Class AnnotationPersistenceMappingSerializer

    java.lang.Object
      org.apache.openjpa.persistence.AnnotationPersistenceMetaDataSerializer
          org.apache.openjpa.persistence.jdbc.AnnotationPersistenceMappingSerializer

All Implemented Interfaces:
  MetaDataSerializer, AbstractCFMetaDataFactory.Serializer

    public class AnnotationPersistenceMappingSerializer

extends AnnotationPersistenceMetaDataSerializer

Serializes persistence mappings as annotations.

Since:
  1.0.0
Author:
  Steve Kim, Gokhan Ergul

Nested Class Summary
`protected class` | `AnnotationPersistenceMappingSerializer.MappingSerializationComparator` Extends `AnnotationPersistenceMappingSerializer.MappingSerializationComparator` for store-specific tags such as <sql-result-set-mapping>.

Nested classes/interfaces inherited from class org.apache.openjpa.persistence.AnnotationPersistenceMetaDataSerializer
`AnnotationPersistenceMetaDataSerializer.SerializationComparator`

Field Summary

Fields inherited from class org.apache.openjpa.persistence.AnnotationPersistenceMetaDataSerializer
`TYPE_CLASS_QUERIES, TYPE_CLASS_SEQS, TYPE_META, TYPE_QUERY, TYPE_SEQ`

Fields inherited from interface org.apache.openjpa.lib.meta.MetaDataSerializer
`APPEND, COMPACT, PRETTY, VERBOSE`

Constructor Summary
`AnnotationPersistenceMappingSerializer(JDBCConfiguration conf)` Constructor.

Method Summary
`void` | `addAll(MetaDataRepository repos)` Add all components in the given repository to the set to be serialized.
`protected void` | `addAnnotation(AnnotationBuilder ab, QueryResultMapping meta)` Add an annotation builder to list of builders for the specified class metadata.
`protected AnnotationBuilder` | `addAnnotation(Class<? extends Annotation> annType, QueryResultMapping meta)` Creates an an annotation builder for the specified class metadata and adds it to list of builders.
`void` | `addQueryResultMapping(QueryResultMapping meta)` Adds the given result set mapping to local cache.
`protected void` | `addSystemMappingElements(Collection toSerialize)` Add system-level mapping elements to be serialized.
`void` | `clear()` Clear the set of metadatas to be serialized.
`protected EnumType` | `getEnumType(FieldMapping field)` Return enum type for the field.
`protected PersistenceStrategy` | `getStrategy(FieldMetaData fmd)` Return the serialized strategy name.
`boolean` | `getSyncMappingInfo()` Whether to automatically synchronize mapping info with data available from mapped components before serialization.
`protected AnnotationPersistenceMetaDataSerializer.SerializationComparator` | `newSerializationComparator()` Create a new comparator for ordering objects that are to be serialized.
`boolean` | `removeAll(MetaDataRepository repos)` Remove all the components in the given repository from the set to be serialized.
`boolean` | `removeQueryResultMapping(QueryResultMapping meta)` Removes given result set mapping from the local cache.
`protected boolean` | `serializeAttributeOverride(FieldMetaData fmd, FieldMetaData orig)` Always returns false by default.
`protected void` | `serializeAttributeOverrideMappingContent(FieldMetaData fmd, FieldMetaData orig, AnnotationBuilder ab)` Serialize attribute override mapping content.
`protected void` | `serializeClass(ClassMetaData meta)` Serialize class metadata.
`protected void` | `serializeClassMappingContent(ClassMetaData mapping)` Serialize class mapping content.
`protected void` | `serializeFieldMappingContent(FieldMetaData fmd, PersistenceStrategy strategy, AnnotationBuilder ab)` Serialize field mapping content; this will be called before `#serializeValueMappingContent`.
`protected void` | `serializeInheritanceContent(ClassMetaData mapping)` Serialize inheritance content.
`protected void` | `serializeQueryMappings(ClassMetaData meta)` Serialize query mappings.
`protected void` | `serializeSequence(SequenceMetaData meta)` Serialize sequence metadata.
`protected void` | `serializeSystemMappingElement(Object obj)` Serialize unknown mapping element at system level.
`void` | `setSyncMappingInfo(boolean sync)` Whether to automatically synchronize mapping info with data available from mapped components before serialization.
`protected int` | `type(Object o)` Return the type constant for the given object based on its runtime class.

Methods inherited from class org.apache.openjpa.persistence.AnnotationPersistenceMetaDataSerializer
`addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addAnnotation, addClassMappingAnnotations, addFieldMappingAttributes, addMetaData, addQueryMetaData, addSequenceMetaData, addStrategyMappingAttributes, getConfiguration, getLog, getMode, getObjects, isMappingMode, isMappingMode, isMappingMode, isMetaDataMode, isQueryMode, newAnnotationBuilder, removeMetaData, removeQueryMetaData, removeSequenceMetaData, serialize, serialize, serialize, serialize, serialize, setLog, setMode, setMode, writeAnnotations`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationPersistenceMappingSerializer

    public AnnotationPersistenceMappingSerializer(JDBCConfiguration conf)

  Constructor. Supply configuration.

Method Detail

### getSyncMappingInfo

    public boolean getSyncMappingInfo()

  Whether to automatically synchronize mapping info with data available from mapped components before serialization. Defaults to false.

### setSyncMappingInfo

    public void setSyncMappingInfo(boolean sync)

  Whether to automatically synchronize mapping info with data available from mapped components before serialization. Defaults to false.

### addQueryResultMapping

    public void addQueryResultMapping(QueryResultMapping meta)

  Adds the given result set mapping to local cache.

### removeQueryResultMapping

    public boolean removeQueryResultMapping(QueryResultMapping meta)

  Removes given result set mapping from the local cache.

### addAll

    public void addAll(MetaDataRepository repos)

  Description copied from class: `AnnotationPersistenceMetaDataSerializer`
  Add all components in the given repository to the set to be serialized.

  Specified by:
    `addAll` in interface `AbstractCFMetaDataFactory.Serializer`
  Overrides:
    `addAll` in class `AnnotationPersistenceMetaDataSerializer`

### removeAll

    public boolean removeAll(MetaDataRepository repos)

  Description copied from class: `AnnotationPersistenceMetaDataSerializer`
  Remove all the components in the given repository from the set to be serialized.

  Overrides:
    `removeAll` in class `AnnotationPersistenceMetaDataSerializer`
  Returns:
    true if any components removed, false if none in set

### clear

    public void clear()

  Description copied from class: `AnnotationPersistenceMetaDataSerializer`
  Clear the set of metadatas to be serialized.

  Overrides:
    `clear` in class `AnnotationPersistenceMetaDataSerializer`

### addAnnotation

    protected void addAnnotation(AnnotationBuilder ab,
                                 QueryResultMapping meta)

  Add an annotation builder to list of builders for the specified class metadata.

### addAnnotation

    protected AnnotationBuilder addAnnotation(Class<? extends Annotation> annType,
                                              QueryResultMapping meta)

  Creates an an annotation builder for the specified class metadata and adds it to list of builders.

### serializeClass

    protected void serializeClass(ClassMetaData meta)

  Description copied from class: `AnnotationPersistenceMetaDataSerializer`
  Serialize class metadata.

  Overrides:
    `serializeClass` in class `AnnotationPersistenceMetaDataSerializer`

### serializeClassMappingContent

    protected void serializeClassMappingContent(ClassMetaData mapping)

  Description copied from class: `AnnotationPersistenceMetaDataSerializer`
  Serialize class mapping content. Does nothing by default.

  Overrides:
    `serializeClassMappingContent` in class `AnnotationPersistenceMetaDataSerializer`

### serializeInheritanceContent

    protected void serializeInheritanceContent(ClassMetaData mapping)

  Description copied from class: `AnnotationPersistenceMetaDataSerializer`
  Serialize inheritance content. Does nothing by default.

  Overrides:
    `serializeInheritanceContent` in class `AnnotationPersistenceMetaDataSerializer`

### serializeAttributeOverride

    protected boolean serializeAttributeOverride(FieldMetaData fmd,
                                                 FieldMetaData orig)

  Description copied from class: `AnnotationPersistenceMetaDataSerializer`
  Always returns false by default.

  Overrides:
    `serializeAttributeOverride` in class `AnnotationPersistenceMetaDataSerializer`

### serializeAttributeOverrideMappingContent

    protected void serializeAttributeOverrideMappingContent(FieldMetaData fmd,
                                                            FieldMetaData orig,
                                                            AnnotationBuilder ab)

  Description copied from class: `AnnotationPersistenceMetaDataSerializer`
  Serialize attribute override mapping content. Does nothing by default,

  Overrides:
    `serializeAttributeOverrideMappingContent` in class `AnnotationPersistenceMetaDataSerializer`

### getStrategy

    protected PersistenceStrategy getStrategy(FieldMetaData fmd)

  Description copied from class: `AnnotationPersistenceMetaDataSerializer`
  Return the serialized strategy name.

  Overrides:
    `getStrategy` in class `AnnotationPersistenceMetaDataSerializer`

### serializeFieldMappingContent

    protected void serializeFieldMappingContent(FieldMetaData fmd,
                                                PersistenceStrategy strategy,
                                                AnnotationBuilder ab)

  Description copied from class: `AnnotationPersistenceMetaDataSerializer`
  Serialize field mapping content; this will be called before `#serializeValueMappingContent`. Does nothing by default.

  Overrides:
    `serializeFieldMappingContent` in class `AnnotationPersistenceMetaDataSerializer`

### getEnumType

    protected EnumType getEnumType(FieldMapping field)

  Return enum type for the field.

### newSerializationComparator

    protected AnnotationPersistenceMetaDataSerializer.SerializationComparator newSerializationComparator()

  Description copied from class: `AnnotationPersistenceMetaDataSerializer`
  Create a new comparator for ordering objects that are to be serialized.

  Overrides:
    `newSerializationComparator` in class `AnnotationPersistenceMetaDataSerializer`

### addSystemMappingElements

    protected void addSystemMappingElements(Collection toSerialize)

  Description copied from class: `AnnotationPersistenceMetaDataSerializer`
  Add system-level mapping elements to be serialized. Does nothing by default.

  Overrides:
    `addSystemMappingElements` in class `AnnotationPersistenceMetaDataSerializer`

### type

    protected int type(Object o)

  Description copied from class: `AnnotationPersistenceMetaDataSerializer`
  Return the type constant for the given object based on its runtime class. If the runtime class does not correspond to any of the known types then returns -1. This can happen for tags that are not handled at this store-agnostic level.

  Overrides:
    `type` in class `AnnotationPersistenceMetaDataSerializer`

### serializeSystemMappingElement

    protected void serializeSystemMappingElement(Object obj)

  Description copied from class: `AnnotationPersistenceMetaDataSerializer`
  Serialize unknown mapping element at system level.

  Overrides:
    `serializeSystemMappingElement` in class `AnnotationPersistenceMetaDataSerializer`

### serializeQueryMappings

    protected void serializeQueryMappings(ClassMetaData meta)

  Description copied from class: `AnnotationPersistenceMetaDataSerializer`
  Serialize query mappings. Does nothing by default.

  Overrides:
    `serializeQueryMappings` in class `AnnotationPersistenceMetaDataSerializer`

### serializeSequence

    protected void serializeSequence(SequenceMetaData meta)

  Description copied from class: `AnnotationPersistenceMetaDataSerializer`
  Serialize sequence metadata.

  Overrides:
    `serializeSequence` in class `AnnotationPersistenceMetaDataSerializer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.